AntiFeatures:
  - NonFreeNet
  - Tracking
Categories:
  - Connectivity
License: MIT
SourceCode: https://gitlab.com/tobiaswkjeldsen/carwingsflutter
IssueTracker: https://gitlab.com/tobiaswkjeldsen/carwingsflutter/issues

AutoName: My Leaf
Description: |-
    My Leaf is a simple and fast alternative to the official NissanConnect EV
    app from Nissan.

    You can ask your vehicle for the latest data, see current battery and
    charging statuses, see current climate control state, start or stop climate
    control remotely, remotely start charging, and retrieve the last known
    location of the vehicle.

RepoType: git
Repo: https://gitlab.com/tobiaswkjeldsen/carwingsflutter

Builds:
  - versionName: 1.5.2
    versionCode: 86
    commit: 1.5.2
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.2.2
    prebuild:
      - touch android/key.properties
      - echo 'android.applicationVariants.all { variant -> variant.outputs.all { output
        -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.5.3
    versionCode: 87
    commit: 1.5.3
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.2.2
    prebuild:
      - touch android/key.properties
      - echo 'android.applicationVariants.all { variant -> variant.outputs.all { output
        -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.5.4
    versionCode: 90
    commit: 1.5.4
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.2.2
    prebuild:
      - touch android/key.properties
      - echo 'android.applicationVariants.all { variant -> variant.outputs.all { output
        -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.5.5
    versionCode: 91
    commit: 1.5.5
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.2.2
    prebuild:
      - touch android/key.properties
      - echo 'android.applicationVariants.all { variant -> variant.outputs.all { output
        -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.5.8
    versionCode: 94
    commit: 1.5.8
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.2.2
    prebuild:
      - touch android/key.properties
      - echo 'android.applicationVariants.all { variant -> variant.outputs.all { output
        -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.5.9
    versionCode: 99
    commit: 1.5.9
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.2.2
    prebuild:
      - touch android/key.properties
      - echo 'android.applicationVariants.all { variant -> variant.outputs.all { output
        -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.6.0
    versionCode: 100
    commit: 1.6.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.2.2
    prebuild:
      - touch android/key.properties
      - echo 'android.applicationVariants.all { variant -> variant.outputs.all { output
        -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.6.1
    versionCode: 101
    commit: 1.6.1
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.2.2
    prebuild:
      - touch android/key.properties
      - echo 'android.applicationVariants.all { variant -> variant.outputs.all { output
        -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.6.3
    versionCode: 104
    commit: 1.6.3
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.2.2
    prebuild:
      - touch android/key.properties
      - echo 'android.applicationVariants.all { variant -> variant.outputs.all { output
        -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.6.4
    versionCode: 105
    commit: 1.6.4
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.7.3
    prebuild:
      - touch android/key.properties
      - echo 'android.applicationVariants.all { variant -> variant.outputs.all { output
        -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.6.6
    versionCode: 107
    commit: 1.6.6
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.7.3
    prebuild:
      - touch android/key.properties
      - echo 'android.applicationVariants.all { variant -> variant.outputs.all { output
        -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.6.8
    versionCode: 109
    commit: 1.6.8
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.7.3
    prebuild:
      - touch android/key.properties
      - echo 'android.applicationVariants.all { variant -> variant.outputs.all { output
        -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.6.9
    versionCode: 112
    commit: 1.6.9
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.7.3
    prebuild:
      - touch android/key.properties
      - echo 'android.applicationVariants.all { variant -> variant.outputs.all { output
        -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.7.0
    versionCode: 113
    commit: 1.7.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.7.3
    prebuild:
      - touch android/key.properties
      - echo 'android.applicationVariants.all { variant -> variant.outputs.all { output
        -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: 1.7.0
CurrentVersionCode: 113
